Supprimer un site web
curl --request POST \
--url https://api.athenahq.ai/api/v1/websites/{website_id}/delete \
--header 'x-api-key: <api-key>'import requests
url = "https://api.athenahq.ai/api/v1/websites/{website_id}/delete"
headers = {"x-api-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.athenahq.ai/api/v1/websites/{website_id}/delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.athenahq.ai/api/v1/websites/{website_id}/delete",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.athenahq.ai/api/v1/websites/{website_id}/delete"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.athenahq.ai/api/v1/websites/{website_id}/delete")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.athenahq.ai/api/v1/websites/{website_id}/delete")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"message": "Website deleted"
}{
"error": "Invalid website ID format"
}{
"error": "Unauthorized"
}{
"error": "Forbidden: global API key required"
}{
"error": "Website not found"
}{
"error": "This website holds your organization's subscription, so deleting it would strand your credits. Cancel the plan on the Billing page in Settings first, or contact support to move it to another website."
}{
"error": "Unauthorized"
}Sites web
Supprimer un site web
Supprime un site web. Le retire de votre organisation et arrête tous les traitements associés. Nécessite une clé API globale. Idempotent : un nouvel appel pour un site web déjà supprimé renvoie 200. Cette action est réversible — appelez POST /api/v1/websites/{website_id}/restore pour réactiver un site web supprimé.
POST
/
api
/
v1
/
websites
/
{website_id}
/
delete
Supprimer un site web
curl --request POST \
--url https://api.athenahq.ai/api/v1/websites/{website_id}/delete \
--header 'x-api-key: <api-key>'import requests
url = "https://api.athenahq.ai/api/v1/websites/{website_id}/delete"
headers = {"x-api-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.athenahq.ai/api/v1/websites/{website_id}/delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.athenahq.ai/api/v1/websites/{website_id}/delete",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.athenahq.ai/api/v1/websites/{website_id}/delete"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.athenahq.ai/api/v1/websites/{website_id}/delete")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.athenahq.ai/api/v1/websites/{website_id}/delete")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"message": "Website deleted"
}{
"error": "Invalid website ID format"
}{
"error": "Unauthorized"
}{
"error": "Forbidden: global API key required"
}{
"error": "Website not found"
}{
"error": "This website holds your organization's subscription, so deleting it would strand your credits. Cancel the plan on the Billing page in Settings first, or contact support to move it to another website."
}{
"error": "Unauthorized"
}Cette page vous a-t-elle été utile ?